Bug 825061 - Multilib conflicts for glibc
Multilib conflicts for glibc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Law
Fedora Extras Quality Assurance
:
: 825216 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 21:32 EDT by Ben Boeckel
Modified: 2016-11-24 07:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 01:20:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-05-24 21:32:08 EDT
Description of problem:
Yum output:

  file /usr/share/info/libc.info-1.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-10.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-11.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-2.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-3.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-4.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-5.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-6.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-7.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-8.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info-9.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
  file /usr/share/info/libc.info.gz conflicts between attempted installs of glibc-devel-2.15.90-2.fc18.x86_64 and glibc-devel-2.15.90-2.fc18.i686
Comment 1 Jeff Law 2012-05-25 11:04:11 EDT
*** Bug 825216 has been marked as a duplicate of this bug. ***
Comment 2 Jeff Law 2012-05-25 18:49:56 EDT
Upstream changed how they built the info files and as a result the contents are no longer identical across the two builds.  Thus the failures.  I might be able to resolve this with a relatively simple sed script.
Comment 3 Jeff Law 2012-05-30 01:20:51 EDT
Ultimately needed to build the libc.info files in the sourcedir, then move them to the objdir to avoid mucking up the indexing.
Comment 4 Vit Ry 2015-10-24 19:45:50 EDT
(In reply to Jeff Law from comment #3)
> Ultimately needed to build the libc.info files in the sourcedir, then move
> them to the objdir to avoid mucking up the indexing.

Could you provide your fix, please ?
Comment 5 Jeff Law 2015-10-26 11:46:50 EDT
See glibc-rh825061.patch in the glibc srpm.

Note You need to log in before you can comment on or make changes to this bug.